﻿@using Microsoft.AspNet.Identity
@if (Request.IsAuthenticated)
{
    using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
    {
    @Html.AntiForgeryToken()

    <ul class="nav navbar-nav navbar-right">
        <li>
            <span style="color:white"> Hello @User.Identity.GetUserName()</span>
        </li>
        <li>
            <a href="@Url.Action("Index", "Manage")" >
                <i class="fas fa-user fa-2x" style="color:orange;"  title = "Mes infos"></i>
            </a>
            @*@Html.ActionLink("Hello " + User.Identity.GetUserName() , "Index", "Manage", routeValues: null, htmlAttributes: new { title = "Manage" , style="color : white;" })*@
        </li>
        <li>
            <a href="javascript:document.getElementById('logoutForm').submit()" style="margin-left: 10px;">
                <i class="fas fa-power-off fa-2x" style="color:orange;" title="Déconnexion"></i>
            </a>
        </li>
        <li>
            <a href="@Url.Action("Index", "Cart")" style="margin-left: 10px;">
                <i class="fas fa-shopping-cart fa-2x" style="color:orange;" title="Le panier"></i>
            </a>
        </li>
    </ul>
    }
}
else
{
<ul class="nav navbar-nav navbar-right">
    <a href="@Url.Action("Login","Account")" id="loginLink" >
        <i class="fas fa-sign-in-alt fa-2x" style="color:orange;" title="Connexion"></i>
    </a>
    <a href="@Url.Action("Register","Account")" id="registerLink" >
        <i class="fas fa-users fa-2x" style="margin-left:10px;color:orange;" title="Inscription"></i>
    </a>

    @*<li>@Html.ActionLink("S'inscrire", "Register", "Account", routeValues: null, htmlAttributes: new { id = "registerLink" , @class= "btn btn-outline-success" })</li>
        <li>@Html.ActionLink("Se connecter", "Login", "Account", routeValues: null, htmlAttributes: new { id = "loginLink", @class = "btn btn-outline-success", style="margin-left: 5px;" })</li>*@
</ul>
}
